#ifndef QUEUE_H
#define QUEUE_H  1

typedef struct Queue{
  int* a;
  int arr_len;
  int size;
  int head;
  int tail;
} Queue;

Queue* make_queue(int array_size);
void free_queue(Queue** q);
int first(Queue* q);
int empty(Queue* q);
void enqueue(Queue* q,int x);
int dequeue(Queue* q);
void print_queue(Queue* q);

#endif
