#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include "array_utils.h"

void p(const char *format, ...)
{
	va_list ap;
	va_start (ap, format);
	vprintf(format, ap);
	va_end (ap);
	fflush(stdout);
}

int** read_edges(int num_of_nodes,char* egdes_path)
{
	//1. alloca la matrice da restituire
	int** matrix=calloc(num_of_nodes,sizeof(int*));
	int i;
	for(i=0;i <num_of_nodes;i++)
		matrix[i]=calloc(num_of_nodes,sizeof(int));
		
	//2. legge gli archi
	int u=-1,v=-1;	
	FILE *fp;
	
	//2a. prova ad aprire il file
	fp = fopen(egdes_path, "r");
	if(fp==NULL)
	{
		printf("FILE NOT FOUND : %s\n",egdes_path);
		exit(1);
	}
	
	//2b. legge una riga alla volta
	while(! feof(fp))
	{
		fscanf(fp,"%d %d\n",&u,&v);
		
		//UPDATE
		matrix[u][v]=1;
		u=-1;
		v=-1;
	}
	
	fclose(fp);
	
	return matrix;
}

/*
int main()
{
	int n=4;
	char* egdes_path="edges2.txt";
	int** m=read_edges(n,egdes_path);
	print_matrix(m,n);
	
	return 0;
}
*/
